;*********************************************************************
;       File: ecnode.ini
;	Description:
;
;		Sample configuration file for the X.25 Switch 
;               and for the Async PAD.                        
;               
;               Please refer to the reference manual for
;               detailed description of parameters.
;               
;
;	Usage
;		RANLOAD SET /F ECNODE.INI
;
;
;*********************************************************************
;
;S W I T C H     D E F I N I T I O N      S E C T I O N
;----------------------------------------------------------------------								
;
;  protocol	name
;  |    card number indicator
;  |    |   section	name
;  |    |   | 
[switch.c1.config]                ; Switch module card 1 configuration 
                                  ; object
		
max_route                = 32     ; specifies the number of route 
                                  ; table entries

;----------------------------------------------------------------------								
;	Control objects	   (write only!)
;----------------------------------------------------------------------

[switch.c1.control]               ; Switch module card 1 control object

clear_table             = all     ; Clear old configuration before 
                                  ; loading the
                                  ; following configuration


;----------------------------------------------------------------------
;               Route configuration table  (read/write)
;----------------------------------------------------------------------
;  protocol name
;  |    card number indicator
;  |    |   section name
;  |    |   |    entry number
;  |    |   |    |
[switch.c1.route.1]               ; Card 1 route table entry 1
entry_state             = on      ; entry is enabled
entry_name              = 'WS_1'  ; route entry name is 'WS_1'
s_address               = '*'     ; any source
d_address               = '1000*' ; any destination starting with '1000'
user_data               = '*'     ; any user data
break_flag              = yes     ; stop searching for s_address and 
                                  ; d_address if they match
port_id                 = 1       ; Port zero represents PC users on the LAN
                                  ; and the APAD
                                  ; port 1..n specifies the local port number


[switch.c1.route.2]               ; Card 1 route table entry 2
entry_state             = on      
entry_name              = 'WS_2'  ; route entry name is 'WS_2'
s_address               = '*'     
d_address               = '2000*' ; destination starting with '2000'
user_data               = '*'     
break_flag              = yes     
port_id                 = 2       


[switch.c1.route.3]               ; Card 1 route table entry 3
entry_state             = on      
entry_name              = 'WS_3'  
s_address               = '*'     
d_address               = '*4000' ; any destination ending with '4000'
user_data               = '*'     
break_flag              = yes     
port_id                 = 3       


[switch.c1.route.4]                     
entry_state             = on      
entry_name              = 'WS_4'  
s_address               = '*'     
d_address               = '4000*' 
user_data               = '*'     
break_flag              = yes     
port_id                 = 4       
                                  
;----------------------------------------------------------------------
;      Port configuration
;
;      NOTE: 
;        no port configuration is required unless DNICs or prefixes
;        need to be deleted; the following configuration for
;	 The default base address length is 10. This varies from
;	 one country to another, make sure the parameter is set in
;	 accordance with local needs				
;----------------------------------------------------------------------
;  protocol name
;  |    card number indicator
;  |    |   section name
;  |    |   |    port number
;  |    |   |    |
[switch.c1.port.1]                ; Configuration for Card 1, port 1
entry_name              = 'WS_1'
dnic                    = none    ; dnic/dcc/none
base_adr_len            = 8       ; base address length of 8 bytes
;delete_prefix           = yes    ; delete prefix
;delete_dnic             = yes    ; delete dnic


[switch.c1.port.2]                ; Configuration for Card 1, port 2
entry_name              = 'WS_2'
dnic                    = none        
base_adr_len            = 8           
;delete_prefix           = yes        
;delete_dnic             = yes        


[switch.c1.port.3]                ; Configuration for Card 1, port 3

entry_name              = 'WS_3'
dnic                    = none        
base_adr_len            = 8           
;delete_prefix           = yes        
;delete_dnic             = yes        

[switch.c1.port.4]                ; Configuration for Card 1, port 4

entry_name              = 'WS_4'
dnic                    = none        
base_adr_len            = 8           
;delete_prefix           = yes        
;delete_dnic             = yes        

;----------------------------------------------------------------------								
;----------------------------------------------------------------------								
;
;A S Y N C  P A D    D E F I N I T I O N      S E C T I O N
;----------------------------------------------------------------------								
; protocol
; |   port
; |   | section
; |   | | 
[apad.5.config]                         ; Async PAD port configuration
pad_prompt              = 13,10,'PAD>'  ; new PAD prompt to replace 
                                        ; CCITT standard '*' if not empty
language                = english       ; not supported

initial_profile         = 1,1,2,0,2,5,21,0,0,80,15,1,4,0,0,8,24,18,2,64,0,0          

idle_timer              = 0             ; disconnect idle timer in sec
auto_connect            = no            ; no auto_connect 
auto_parm_list          = 15:0,18:2     ; auto_connect parameter list
x25_vcn                 = 0             ; X.25 PVC number if auto-pvc
x25_port                = 5             ; X.25 local port number (1-8)
disable_x29             = no            ; if yes = ignore X.29 packets
incoming_calls          = yes           ; yes = allow incoming calls
autobaud_detect         = no            ; if yes = automatically detect
                                        ; speed, char length and parity

; incoming call and auto-answer parameters
; possible facilities outgoing = Nnui Tn R Gn On C F S Q Ecae
; incoming facilities includes = RI

incall_local_addr       = '5000'        ; local X.25 address
                                        ; wildcards accepted
incall_remote_addr      = '6000'        ; remote X.25 address
                                        ; wildcards accepted
incall_facility         = 'RI G1'       ; facilities
incall_user_data        = 1,0,0,0,'guest'; user data

; outgoing call and auto-call parameters

outcall_local_addr      = '5000'        ; local X.25 address
outcall_remote_addr     = '6000'        ; remote X.25 address
outcall_facility        = ''            ; facility
outcall_user_data       = ''            ; user data

;----------------------------------------------------------------------
; mnemonic table, apply to all ports on same card
;----------------------------------------------------------------------
; protocol
; |   card number indicator
; |   |  section 
; |   |  |     
; |   |  |     
; |   |  |    entry number
; |   |  |     |
[apad.c1.mnemo.1]			; WS_1MNE entry definition
entry_state		= on		; create mnemonic entry
entry_name		= 'WS_1MNE'	; name without leading '.'
remote_addr		= '1000'	; remote X.25 address
facility		= 'R G12'	; facility to include
facility_ovr		= no		; yes = facility can be overriden
user_data		= 'system'	; user data
user_data_ovr		= no		; user data can be overriden
parm_list		= 15:1   	; parameter list
						

; protocol
; |   card number indicator
; |   |  section 
; |   |  |     
; |   |  |     
[asn.5.config]                          ; asynchronous line characteristics
line_speed                      = 19200 ; 300,600,1200,2400,4800,9600,19200
parity                          = none  ; none, even or odd
char_length                     = 8     ; 8 if parity = none, 7 otherwise
stop_bits                       = 1     ; 1, 1.5 or 2

[asn.5.config.ignored_inlead]           ; modem input signals to ignore
dsr                             = no 
ri                              = yes
cts                             = no
dcd                             = no

[asn.5.config.disabled_outlead]         ; modem output signals to disable
dtr                             = no
rts                             = no

[asn.5.config.disabled_outstate]        ; modem output signals if disabled
dtr                             = off   ; on or off
rts                             = off   ; on or off

[apad.5.control]                        ; Async PAD port control section
port_state                      = on    ; on = open PAD port now
